/payments/pricing/query/customer-plans
1 min
POST
https://app.amberflo.io/payments/pricing/query/customer-plans
Body Parameters
- bodypayment.pricing.customer.indexable.api.IndexableCustomerPricingQuery.in
- timeInSecondsinteger<int64>
- timeRangepayment.common.TimeRange.in
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
- filtersmap<string, string[]>
- pagepayment.common.Page.in
- numberinteger<int32>
- sizeinteger<int32>
- tokenstring
- takepayment.common.Take.in
- limitinteger<int32>
- isAscendingboolean
Responses
200
- payment.pricing.customer.indexable.api.IndexableCustomerPricingResponse.out
- metadatapayment.pricing.customer.indexable.api.IndexableCustomerPricingQuery.out
- timeInSecondsinteger<int64>
- timeRangepayment.common.TimeRange.out
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
- filtersmap<string, string[]>
- pagepayment.common.Page.out
- numberinteger<int32>
- sizeinteger<int32>
- tokenstring
- takepayment.common.Take.out
- limitinteger<int32>
- isAscendingboolean
- pageInfopayment.common.PageInfo.out
- pageNumberinteger<int32>
- pageSizeinteger<int32>
- pageTokenstring
- totalPagesinteger<int32>
- totalResultsinteger<int32>
- rowspayment.pricing.customer.indexable.api.CustomerProductPlanRow.out[]
- productIdstring
- productPlanIdstring
- customerIdstring
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/query/customer-plans \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/query/customer-plans", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/query/customer-plans")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/query/customer-plans"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"metadata": {
"timeInSeconds": "",
"timeRange": {
"startTimeInSeconds": "",
"endTimeInSeconds": ""
},
"filters": "",
"page": {
"number": "",
"size": "",
"token": ""
},
"take": {
"limit": "",
"isAscending": false
}
},
"pageInfo": {
"pageNumber": "",
"pageSize": "",
"pageToken": "",
"totalPages": "",
"totalResults": ""
},
"rows": [
{
"productId": "",
"productPlanId": "",
"customerId": "",
"startTimeInSeconds": "",
"endTimeInSeconds": ""
}
]
}